Catalog - Delete Secret
Deletes the specified secret in the specified database. This is deprecated and will be removed in the next release. Please use DeleteCredential instead.
DELETE https://{accountName}.{adlaCatalogDnsSuffix}/catalog/usql/databases/{databaseName}/secrets/{secretName}?api-version=2016-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string |
The Azure Data Lake Analytics account upon which to execute catalog operations. |
|
adla
|
path | True |
string |
Gets the DNS suffix used as the base for all Azure Data Lake Analytics Catalog service requests. |
|
database
|
path | True |
string |
The name of the database containing the secret. |
|
secret
|
path | True |
string |
The name of the secret to delete |
|
api-version
|
query | True |
string |
Client Api Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully deleted the specified secret from the specified database. |
Examples
Deletes the specified secret in the specified database
Sample request
DELETE https://contosoadla.azuredatalakeanalytics.net/catalog/usql/databases/master/secrets/test_secret_name?api-version=2016-11-01